	subroutine bornF
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"

        Ctree(1) = Ctree(1) + 8*Alfa*Pi*AbbSum1/S - 
     -   (4*Alfa*Pi*(-1 + 2*SW2))/SW2*AbbSum1/(-MZ2 + S) + 
     -   (4*Alfa*Pi)/SW2*AbbSum1/T

        Ctree(2) = Ctree(2) - 8*Alfa*Pi*AbbSum2/S + 
     -   (4*Alfa*Pi*(-1 + 2*SW2))/SW2*AbbSum2/(-MZ2 + S) - 
     -   (4*Alfa*Pi)/SW2*Pair3/T

        Ctree(3) = Ctree(3) - 8*Alfa*Pi*Pair5/S + 
     -   (4*Alfa*Pi*(-1 + 2*SW2))/SW2*Pair5/(-MZ2 + S)

        Ctree(4) = Ctree(4) + 8*Alfa*Pi*AbbSum1/S - 
     -   8*Alfa*Pi*AbbSum1/(-MZ2 + S)

        Ctree(5) = Ctree(5) - 8*Alfa*Pi*AbbSum2/S + 
     -   8*Alfa*Pi*AbbSum2/(-MZ2 + S)

        Ctree(6) = Ctree(6) - 8*Alfa*Pi*Pair5/S + 
     -   8*Alfa*Pi*Pair5/(-MZ2 + S)

	Ctree(7) = Ctree(7) - (2*Alfa*Pi)/SW2/T

	end

